UITreeNode (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.UITreeNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITreeNode

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UITreeNode

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.richfaces.event.DropSource, org.richfaces.event.TreeListenerEventsProducer

Direct Known Subclasses:
  HtmlTreeNode

    public abstract class UITreeNode

extends javax.faces.component.UIComponentBase
implements org.richfaces.event.TreeListenerEventsProducer, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.ajax4jsf.component.AjaxComponent

Author:
  Nick Belaevski - nbelaevski@exadel.com created 22.11.2006 Component class providing concrete representation for tree node

Nested Class Summary
`protected static class` | `UITreeNode.DnDEventWrapper` Helper inner class used to wrap drag and drop events to suspend them to ensure that events will processed last.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`protected static java.lang.String` | `DEFAULT_NODE_FACE_ATTRIBUTE_NAME` Attribute name to indicate if this tree node is a virtual `UITreeNode` providing default representation for node.

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UITreeNode()`

Method Summary
`void` | `addChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)`
`void` | `addDragListener(org.richfaces.event.DragListener listener)`
`void` | `addDropListener(org.richfaces.event.DropListener listener)`
`void` | `addNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`java.lang.Object` | `getAcceptedTypes()`
`abstract java.lang.String` | `getAjaxSubmitSelection()`
`org.richfaces.event.NodeExpandedListener[]` | `getChangeExpandListeners()`
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`protected java.lang.String` | `getDefaultOndragend()`
`protected java.lang.String` | `getDefaultOndragenter()`
`protected java.lang.String` | `getDefaultOndragexit()`
`protected java.lang.String` | `getDefaultOndragstart()`
`protected java.lang.String` | `getDefaultOndrop()`
`protected java.lang.String` | `getDefaultOndropend()`
`protected java.lang.Object` | `getDefaultReRender()`
`protected int` | `getDefaultTimeout()`
`java.lang.String` | `getDragIndicator()`
`org.richfaces.event.DragListener[]` | `getDragListeners()`
`java.lang.String` | `getDragType()`
`org.richfaces.event.DropListener[]` | `getDropListeners()`
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`abstract java.lang.String` | `getHighlightedClass()`
`abstract java.lang.String` | `getIcon()`
`abstract java.lang.String` | `getIconCollapsed()`
`javax.faces.component.UIComponent` | `getIconCollapsedFacet()`
`abstract java.lang.String` | `getIconExpanded()`
`javax.faces.component.UIComponent` | `getIconExpandedFacet()`
`javax.faces.component.UIComponent` | `getIconFacet()`
`abstract java.lang.String` | `getIconLeaf()`
`javax.faces.component.UIComponent` | `getIconLeafFacet()`
`protected java.lang.String` | `getLocalDragIndicator()`
`org.richfaces.event.NodeSelectedListener[]` | `getNodeSelectListeners()`
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.Object` | `getProcess()`
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getResolvedDragIndicator(javax.faces.context.FacesContext facesContext)`
`abstract java.lang.String` | `getSelectedClass()`
`java.lang.String` | `getSimilarityGroupingId()`
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`int` | `getTimeout()` Response waiting time on a particular request.
`abstract java.lang.String` | `getType()`
`UITree` | `getUITree()` Finds direct parent `UITree` component or throws
`boolean` | `hasAjaxSubmitSelection()`
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `queueEvent(javax.faces.event.FacesEvent event)` Queue an event for broadcast at the end of the current request processing lifecycle phase.
`void` | `removeChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)`
`void` | `removeDragListener(org.richfaces.event.DragListener listener)`
`void` | `removeDropListener(org.richfaces.event.DropListener listener)`
`void` | `removeNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptedTypes(java.lang.Object types)`
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`abstract void` | `setAjaxSubmitSelection(java.lang.String ajaxSubmitSelection)`
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDragIndicator(java.lang.String dragIndicator)`
`void` | `setDragType(java.lang.String dragType)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`abstract void` | `setHighlightedClass(java.lang.String selectedClass)`
`abstract void` | `setIcon(java.lang.String icon)`
`abstract void` | `setIconCollapsed(java.lang.String icon)`
`abstract void` | `setIconExpanded(java.lang.String icon)`
`abstract void` | `setIconLeaf(java.lang.String icon)`
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setProcess(java.lang.Object process)`
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`abstract void` | `setSelectedClass(java.lang.String selectedClass)`
`void` | `setSimilarityGroupingId(java.lang.String __similarityGroupingId)`
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`abstract void` | `setType(java.lang.String type)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.event.TreeListenerEventsProducer
`getChangeExpandListener, getDragListener, getDropListener, getNodeSelectListener, setChangeExpandListener, setDragListener, setDropListener, setNodeSelectListener`

Methods inherited from interface org.richfaces.component.Draggable
`getDragListener, getDragValue, getGrabbingCursors, getGrabCursors, getOndragend, getOndragstart, getOndropout, getOndropover, setDragListener, setDragValue, setGrabbingCursors, setGrabCursors, setOndragend, setOndragstart, setOndropout, setOndropover`

Methods inherited from interface org.richfaces.component.Dropzone
`getAcceptCursors, getCursorTypeMapping, getDropValue, getOndragenter, getOndragexit, getOndrop, getOndropend, getRejectCursors, getTypeMapping, setAcceptCursors, setCursorTypeMapping, setDropValue, setOndragenter, setOndragexit, setOndrop, setOndropend, setRejectCursors, setTypeMapping`

Methods inherited from interface org.richfaces.event.DropSource
`getDropListener, setDropListener`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getOnbeforedomupdate, setOnbeforedomupdate`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### DEFAULT_NODE_FACE_ATTRIBUTE_NAME

    protected static final java.lang.String DEFAULT_NODE_FACE_ATTRIBUTE_NAME

  Attribute name to indicate if this tree node is a virtual `UITreeNode` providing default representation for node. Default tree node representation should use attributes of its parent `UITree` component

  See Also:
    Constant Field Values

Constructor Detail

### UITreeNode

    public UITreeNode()

Method Detail

### getType

    public abstract java.lang.String getType()

### setType

    public abstract void setType(java.lang.String type)

### getIcon

    public abstract java.lang.String getIcon()

### setIcon

    public abstract void setIcon(java.lang.String icon)

### getIconExpanded

    public abstract java.lang.String getIconExpanded()

### setIconExpanded

    public abstract void setIconExpanded(java.lang.String icon)

### getIconCollapsed

    public abstract java.lang.String getIconCollapsed()

### setIconCollapsed

    public abstract void setIconCollapsed(java.lang.String icon)

### getIconLeaf

    public abstract java.lang.String getIconLeaf()

### setIconLeaf

    public abstract void setIconLeaf(java.lang.String icon)

### setAjaxSubmitSelection

    public abstract void setAjaxSubmitSelection(java.lang.String ajaxSubmitSelection)

### getAjaxSubmitSelection

    public abstract java.lang.String getAjaxSubmitSelection()

### setHighlightedClass

    public abstract void setHighlightedClass(java.lang.String selectedClass)

### getHighlightedClass

    public abstract java.lang.String getHighlightedClass()

### setSelectedClass

    public abstract void setSelectedClass(java.lang.String selectedClass)

### getSelectedClass

    public abstract java.lang.String getSelectedClass()

### hasAjaxSubmitSelection

    public boolean hasAjaxSubmitSelection()

  Specified by:
    `hasAjaxSubmitSelection` in interface `org.richfaces.event.TreeListenerEventsProducer`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Queue an event for broadcast at the end of the current request processing lifecycle phase. The default implementation in `UIComponentBase` must delegate this call to the `queueEvent()` method of the parent `UIComponent`.

  Overrides:
    `queueEvent` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `event` - `FacesEvent` to be queued
  Throws:
    `java.lang.IllegalStateException` - if this component is not a descendant of a `UIViewRoot`
    `java.lang.NullPointerException` - if `event` is `null`

### addChangeExpandListener

    public void addChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)

  Specified by:
    `addChangeExpandListener` in interface `org.richfaces.event.TreeListenerEventsProducer`

### addNodeSelectListener

    public void addNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)

  Specified by:
    `addNodeSelectListener` in interface `org.richfaces.event.TreeListenerEventsProducer`

### removeChangeExpandListener

    public void removeChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)

### removeNodeSelectListener

    public void removeNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)

### getChangeExpandListeners

    public org.richfaces.event.NodeExpandedListener[] getChangeExpandListeners()

### getNodeSelectListeners

    public org.richfaces.event.NodeSelectedListener[] getNodeSelectListeners()

### getUITree

    public UITree getUITree()

  Finds direct parent `UITree` component or throws

  Returns:
    `UITree` instance

### addDropListener

    public void addDropListener(org.richfaces.event.DropListener listener)

  Specified by:
    `addDropListener` in interface `org.richfaces.event.DropSource`

### getDropListeners

    public org.richfaces.event.DropListener[] getDropListeners()

  Specified by:
    `getDropListeners` in interface `org.richfaces.event.DropSource`

### removeDropListener

    public void removeDropListener(org.richfaces.event.DropListener listener)

  Specified by:
    `removeDropListener` in interface `org.richfaces.event.DropSource`

### addDragListener

    public void addDragListener(org.richfaces.event.DragListener listener)

  Specified by:
    `addDragListener` in interface `org.richfaces.component.Draggable`

### getDragListeners

    public org.richfaces.event.DragListener[] getDragListeners()

  Specified by:
    `getDragListeners` in interface `org.richfaces.component.Draggable`

### removeDragListener

    public void removeDragListener(org.richfaces.event.DragListener listener)

  Specified by:
    `removeDragListener` in interface `org.richfaces.component.Draggable`

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.Object types)

  Specified by:
    `setAcceptedTypes` in interface `org.richfaces.component.Dropzone`

### getAcceptedTypes

    public java.lang.Object getAcceptedTypes()

  Specified by:
    `getAcceptedTypes` in interface `org.richfaces.component.Dropzone`

### setDragType

    public void setDragType(java.lang.String dragType)

  Specified by:
    `setDragType` in interface `org.richfaces.component.Draggable`

### getDragType

    public java.lang.String getDragType()

  Specified by:
    `getDragType` in interface `org.richfaces.component.Draggable`

### getIconFacet

    public javax.faces.component.UIComponent getIconFacet()

### getIconLeafFacet

    public javax.faces.component.UIComponent getIconLeafFacet()

### getIconExpandedFacet

    public javax.faces.component.UIComponent getIconExpandedFacet()

### getIconCollapsedFacet

    public javax.faces.component.UIComponent getIconCollapsedFacet()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

### setDragIndicator

    public void setDragIndicator(java.lang.String dragIndicator)

  Specified by:
    `setDragIndicator` in interface `org.richfaces.component.Draggable`

### getLocalDragIndicator

    protected java.lang.String getLocalDragIndicator()

### getDragIndicator

    public java.lang.String getDragIndicator()

  Specified by:
    `getDragIndicator` in interface `org.richfaces.component.Draggable`

### getResolvedDragIndicator

    public java.lang.String getResolvedDragIndicator(javax.faces.context.FacesContext facesContext)

  Specified by:
    `getResolvedDragIndicator` in interface `org.richfaces.component.Draggable`

### getDefaultOndragend

    protected java.lang.String getDefaultOndragend()

### getDefaultOndragenter

    protected java.lang.String getDefaultOndragenter()

### getDefaultOndragexit

    protected java.lang.String getDefaultOndragexit()

### getDefaultOndragstart

    protected java.lang.String getDefaultOndragstart()

### getDefaultOndrop

    protected java.lang.String getDefaultOndrop()

### getDefaultOndropend

    protected java.lang.String getDefaultOndropend()

### getDefaultTimeout

    protected int getDefaultTimeout()

### getDefaultReRender

    protected java.lang.Object getDefaultReRender()

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Specified by:
    `setAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Specified by:
    `isAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    ajaxSingle value from local variable or value bindings

### getProcess

    public java.lang.Object getProcess()

  Specified by:
    `getProcess` in interface `org.ajax4jsf.component.AjaxComponent`

### setProcess

    public void setProcess(java.lang.Object process)

  Specified by:
    `setProcess` in interface `org.ajax4jsf.component.AjaxComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Specified by:
    `setBypassUpdates` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Specified by:
    `isBypassUpdates` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    bypassUpdates value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Specified by:
    `setLimitToList` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Specified by:
    `isLimitToList` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    limitToList value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Specified by:
    `setReRender` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Specified by:
    `getReRender` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    reRender value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Specified by:
    `setStatus` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Specified by:
    `getStatus` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    status value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Specified by:
    `setEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Specified by:
    `getEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    eventsQueue value from local variable or value bindings

### setSimilarityGroupingId

    public void setSimilarityGroupingId(java.lang.String __similarityGroupingId)

  Specified by:
    `setSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `similarityGroupingId` - - new value

### getSimilarityGroupingId

    public java.lang.String getSimilarityGroupingId()

  Specified by:
    `getSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    similarityGroupingId value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Specified by:
    `setRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Specified by:
    `getRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    requestDelay value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Specified by:
    `setOncomplete` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Specified by:
    `getOncomplete` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    oncomplete value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Specified by:
    `setFocus` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Specified by:
    `getFocus` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    focus value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Specified by:
    `setData` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Specified by:
    `getData` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    data value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Specified by:
    `setIgnoreDupResponses` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Specified by:
    `isIgnoreDupResponses` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    ignoreDupResponses value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Specified by:
    `setTimeout` in interface `org.ajax4jsf.component.AjaxComponent`
  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Specified by:
    `getTimeout` in interface `org.ajax4jsf.component.AjaxComponent`
  Returns:
    timeout value from local variable or value bindings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.